> ## Documentation Index
> Fetch the complete documentation index at: https://docs.squarecloud.app/llms.txt
> Use this file to discover all available pages before exploring further.

# Blob 未完成上传

> 通过 GET /v1/objects/chunked/open 列出账户所有未完成的分块上传，包括通过 S3 开启的上传，每个都附带一个用于恢复或中止的令牌。

<ParamField header="Authorization" type="string" placeholder="API Key" required>
  你账户的 API 密钥。你可以在[账户设置](https://squarecloud.app/zh/account/security)中找到它。
</ParamField>

未完成上传会列出账户中已开启但尚未完成或中止的上传，包括通过 [S3 网关](/zh/blob-reference/s3-compatibility)开启的分段上传。每一个都附带一个 `upload` 令牌，因此即使开启它的客户端已经不在了，你也可以[恢复](/zh/blob-reference/endpoint/chunked-status)或[中止](/zh/blob-reference/endpoint/chunked-abort)它。

未完成的上传计入每个账户 32 个的限制，其分块在完成或中止之前会占用存储空间。空闲 24 小时的上传会被自动中止。需要 `blob:write` scope。

### 速率限制

<Note>每 10 秒 10 次请求（`RATE_LIMITED`，429）。</Note>

### 响应

<ResponseField name="status" type="string">
  成功为 "success"，否则为 "error"。
</ResponseField>

<ResponseField name="response" type="object">
  <Expandable title="展开对象">
    <ResponseField name="uploads" type="array">
      <Expandable title="展开对象">
        <ResponseField name="id" type="string">
          文件完成后将拥有的 id。
        </ResponseField>

        <ResponseField name="initiated" type="ISO 8601">
          上传开启的时间。
        </ResponseField>

        <ResponseField name="upload" type="string">
          用于分块状态、发送、完成和中止的 `upload` 令牌。
        </ResponseField>
      </Expandable>
    </ResponseField>
  </Expandable>
</ResponseField>

<RequestExample>
  ```bash cURL theme={null}
  curl --request GET \
    --url 'https://blob.squarecloud.app/v1/objects/chunked/open' \
    --header 'Authorization: YOUR_API_KEY'
  ```
</RequestExample>

<ResponseExample>
  ```json theme={null}
  {
    "status": "success",
    "response": {
      "uploads": [
        {
          "id": "prv/3155597145698959364/genomics/dataset_mugws5c0-3c59dc048e8850243be8079a5c74d079.fastq.gz",
          "initiated": "2026-09-25T12:00:00.000Z",
          "upload": "Zk3pQ8vR2mWx7LcT0aYbNe5uHs1JqGd9KoVfBr4XtIy6EwUz.q2Ws8nLc0VbR5TfYp3Hk"
        }
      ]
    }
  }
  ```
</ResponseExample>

### 错误

| 代码             | HTTP | 触发情况            |
| -------------- | ---- | --------------- |
| `RATE_LIMITED` | 429  | 10 秒内超过 10 次请求。 |
